## org.apache.myfaces.component.html.ext
Class HtmlPanelGroup

    java.lang.Object
      javax.faces.component.UIComponent
          javax.faces.component.UIComponentBase
              javax.faces.component.UIPanel
                  javax.faces.component.html.HtmlPanelGroup
                      org.apache.myfaces.component.html.ext.HtmlPanelGroup

All Implemented Interfaces:
  DisplayValueOnlyCapable, javax.faces.component.StateHolder, UserRoleAware

Direct Known Subclasses:
  HtmlDataScroller, HtmlPanelNavigation, HtmlPanelNavigationMenu

public class HtmlPanelGroup
extends javax.faces.component.html.HtmlPanelGroup
implements UserRoleAware, DisplayValueOnlyCapable

Version:
  $Revision: 170485 $ $Date: 2005-05-16 18:44:33 -0400 (Mon, 16 May 2005) $
Author:
  Manfred Geiler (latest modification by $Author: mmarinschek $)

Field Summary
`static java.lang.String` `COMPONENT_TYPE`

Fields inherited from class javax.faces.component.UIPanel
`COMPONENT_FAMILY`

Fields inherited from interface org.apache.myfaces.component.UserRoleAware
`ENABLED_ON_USER_ROLE_ATTR, VISIBLE_ON_USER_ROLE_ATTR`

Fields inherited from interface org.apache.myfaces.component.DisplayValueOnlyCapable
`DISPLAY_VALUE_ONLY_ATTR, DISPLAY_VALUE_ONLY_STYLE_ATTR, DISPLAY_VALUE_ONLY_STYLE_CLASS_ATTR`

Constructor Summary
`HtmlPanelGroup()`

Method Summary
`java.lang.String` `getClientId(javax.faces.context.FacesContext context)`
`java.lang.String` `getDisplayValueOnlyStyle()`
`java.lang.String` `getDisplayValueOnlyStyleClass()`
`java.lang.String` `getEnabledOnUserRole()`
`java.lang.String` `getVisibleOnUserRole()`
`boolean` `isDisplayValueOnly()`
`boolean` `isRendered()`
`boolean` `isSetDisplayValueOnly()`
`void` `restoreState(javax.faces.context.FacesContext context, java.lang.Object state)`
`java.lang.Object` `saveState(javax.faces.context.FacesContext context)`
`void` `setDisplayValueOnly(boolean displayValueOnly)`
`void` `setDisplayValueOnlyStyle(java.lang.String displayValueOnlyStyle)`
`void` `setDisplayValueOnlyStyleClass(java.lang.String displayValueOnlyStyleClass)`
`void` `setEnabledOnUserRole(java.lang.String enabledOnUserRole)`
`void` `setVisibleOnUserRole(java.lang.String visibleOnUserRole)`

Methods inherited from class javax.faces.component.html.HtmlPanelGroup
`getStyle, getStyleClass, setStyle, setStyleClass`

Methods inherited from class javax.faces.component.UIPanel
`getFamily`

Methods inherited from class javax.faces.component.UIComponentBase

`addFacesListener, broadcast, decode, encodeBegin, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getFacesContext, getFacesListeners, getFacet, getFacets, getFacetsAndChildren, getId, getParent, getRenderer, getRendererType, getRendersChildren, getValueBinding, isTransient, processDecodes, processRestoreState, processSaveState, processUpdates, processValidators, queueEvent, removeFacesListener, restoreAttachedState, saveAttachedState, setId, setParent, setRendered, setRendererType, setTransient, setValueBinding`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### COMPONENT_TYPE

    public static final java.lang.String COMPONENT_TYPE

See Also:
  Constant Field Values

Constructor Detail

### HtmlPanelGroup

    public HtmlPanelGroup()

Method Detail

### getClientId

    public java.lang.String getClientId(javax.faces.context.FacesContext context)

### setEnabledOnUserRole

    public void setEnabledOnUserRole(java.lang.String enabledOnUserRole)

  Specified by:
    `setEnabledOnUserRole` in interface `UserRoleAware`

### getEnabledOnUserRole

    public java.lang.String getEnabledOnUserRole()

  Specified by:
    `getEnabledOnUserRole` in interface `UserRoleAware`

### setVisibleOnUserRole

    public void setVisibleOnUserRole(java.lang.String visibleOnUserRole)

  Specified by:
    `setVisibleOnUserRole` in interface `UserRoleAware`

### getVisibleOnUserRole

    public java.lang.String getVisibleOnUserRole()

  Specified by:
    `getVisibleOnUserRole` in interface `UserRoleAware`

### isSetDisplayValueOnly

    public boolean isSetDisplayValueOnly()

  Specified by:
    `isSetDisplayValueOnly` in interface `DisplayValueOnlyCapable`

### isDisplayValueOnly

    public boolean isDisplayValueOnly()

  Specified by:
    `isDisplayValueOnly` in interface `DisplayValueOnlyCapable`

### setDisplayValueOnly

    public void setDisplayValueOnly(boolean displayValueOnly)

  Specified by:
    `setDisplayValueOnly` in interface `DisplayValueOnlyCapable`

### getDisplayValueOnlyStyle

    public java.lang.String getDisplayValueOnlyStyle()

  Specified by:
    `getDisplayValueOnlyStyle` in interface `DisplayValueOnlyCapable`

### setDisplayValueOnlyStyle

    public void setDisplayValueOnlyStyle(java.lang.String displayValueOnlyStyle)

  Specified by:
    `setDisplayValueOnlyStyle` in interface `DisplayValueOnlyCapable`

### getDisplayValueOnlyStyleClass

    public java.lang.String getDisplayValueOnlyStyleClass()

  Specified by:
    `getDisplayValueOnlyStyleClass` in interface `DisplayValueOnlyCapable`

### setDisplayValueOnlyStyleClass

    public void setDisplayValueOnlyStyleClass(java.lang.String displayValueOnlyStyleClass)

  Specified by:
    `setDisplayValueOnlyStyleClass` in interface `DisplayValueOnlyCapable`

### isRendered

    public boolean isRendered()

### saveState

    public java.lang.Object saveState(javax.faces.context.FacesContext context)

  Specified by:
    `saveState` in interface `javax.faces.component.StateHolder`

### restoreState

    public void restoreState(javax.faces.context.FacesContext context,
                             java.lang.Object state)

  Specified by:
    `restoreState` in interface `javax.faces.component.StateHolder`